TESTING/LIN/zrzt01.f(3)

NAME
TESTING/LIN/zrzt01.f

SYNOPSIS

  Functions/Subroutines
double precision function zrzt01 (m, n, a, af, lda, tau, work, lwork)
ZRZT01

Function/Subroutine Documentation

  double precision function zrzt01 (integer m, integer n, complex*16, dimension( lda, * ) a, complex*16, dimension( lda, * ) af, integer lda, complex*16, dimension( * ) tau, complex*16, dimension( lwork ) work, integer lwork)

ZRZT01

Purpose:

     ZRZT01 returns
          || A - R*Q || / ( M * eps * ||A|| )
     for an upper trapezoidal A that was factored with ZTZRZF.

Parameters
    M

              M is INTEGER
              The number of rows of the matrices A and AF.

    N

              N is INTEGER
              The number of columns of the matrices A and AF.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              The original upper trapezoidal M by N matrix A.

    AF

              AF is COMPLEX*16 array, dimension (LDA,N)
              The output of ZTZRZF for input matrix A.
              The lower triangle is not referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the arrays A and AF.

    TAU

              TAU is COMPLEX*16 array, dimension (M)
              Details of the  Householder transformations as returned by
              ZTZRZF.

    WORK

              WORK is COMPLEX*16 array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK.  LWORK >= m*n + m.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 96 of file zrzt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.